### Method

# Shumate MapSource fill_tile_finish

#### Declaration [src]

    gboolean
    shumate_map_source_fill_tile_finish (
      ShumateMapSource* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Gets the success value of a completed `shumate_map_source_fill_tile_async()` operation.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult` provided to callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the tile was filled with valid data, otherwise `FALSE`.